* Core files:
clear all
use H98E_R.dta
gen hhidpn=HHID+PN
gen wa=4
keep F2346 F2347 F2355 hhidpn wa
destring hhidpn, replace
rename F2346 covrx
rename F2347 ooprx
rename F2355 norxcost
save H98E_R_merge, replace

use H98R_R.dta
gen hhidpn=HHID+PN
gen wa=4
keep F5881 F5907 hhidpn wa
destring hhidpn, replace
rename F5881 govhmo
save H98R_R_merge, replace

use H00E_R.dta
gen hhidpn=HHID+PN
gen wa=5
keep G2623 G2624 G2632 hhidpn wa
destring hhidpn, replace
rename G2623 covrx
rename G2624 ooprx
rename G2632 norxcost
save H00E_R_merge, replace

use H00R_R.dta
gen hhidpn=HHID+PN
gen wa=5
keep G6254 G6280 hhidpn wa
destring hhidpn, replace
rename G6254 govhmo
save H00R_R_merge, replace

use H02N_R.dta
gen hhidpn=HHID+PN
gen wa=6
keep HN176 HN180 HN009 HN184 HN188 HN243 HN052_1 hhidpn wa
destring hhidpn, replace
rename HN176 covrx
rename HN180 ooprx
rename HN009 govhmo
rename HN188 norxcost
rename HN184 expcov
rename HN243 hmootherbens
save H02N_R_merge, replace

use H04N_R.dta
gen hhidpn=HHID+PN
gen wa=7
keep JN176 JN180 JN351 JN009 JN184 JN188 JN243 JN052_1 hhidpn wa
destring hhidpn, replace
rename JN176 covrx
rename JN180 ooprx
rename JN351 govhmorx
rename JN009 govhmo
rename JN188 norxcost
rename JN184 expcov
rename JN243 hmootherbens
save H04N_R_merge, replace

use H06N_R.dta
gen hhidpn=HHID+PN
gen wa=8
keep KN176 KN180 KN351 KN352 KN371 KN374 KN381 KN382 KN009 KN184 KN188 KN243 KN052_1 hhidpn wa
destring hhidpn, replace
rename KN176 covrx
rename KN180 ooprx
rename KN351 govhmorx
rename KN352 mdcrpd
rename KN371 covrx_pre_mdcrpd
rename KN374 ooprx_pre_mdcrpd
rename KN381 covrx_post_mdcrpd
rename KN382 ooprx_post_mdcrpd
rename KN009 govhmo
rename KN188 norxcost
rename KN184 expcov
rename KN243 hmootherbens
save H06N_R_merge, replace

use H08N_R.dta
gen hhidpn=HHID+PN
gen wa=9
keep LN176 LN180 LN351 LN352 LN009 LN184 LN188 LN052_1 hhidpn wa
destring hhidpn, replace
rename LN176 covrx
rename LN180 ooprx
rename LN351 govhmorx
rename LN352 mdcrpd
rename LN009 govhmo
rename LN188 norxcost
rename LN184 expcov
save H08N_R_merge, replace

use H10N_R.dta
gen hhidpn=HHID+PN
gen wa=10
keep MN176 MN180 MN351 MN352 MN009 MN184 MN188 MN052_1 hhidpn wa
destring hhidpn, replace
rename MN176 covrx
rename MN180 ooprx
rename MN351 govhmorx
rename MN352 mdcrpd
rename MN009 govhmo
rename MN188 norxcost
rename MN184 expcov
save H10N_R_merge, replace

use RAND_long

merge 1:1 hhidpn wa using H98E_R_merge, nogenerate update
merge 1:1 hhidpn wa using H00E_R_merge, nogenerate update
merge 1:1 hhidpn wa using H02N_R_merge, nogenerate update
merge 1:1 hhidpn wa using H04N_R_merge, nogenerate update
merge 1:1 hhidpn wa using H06N_R_merge, nogenerate update
merge 1:1 hhidpn wa using H08N_R_merge, nogenerate update
merge 1:1 hhidpn wa using H10N_R_merge, nogenerate update
merge 1:1 hhidpn wa using H98R_R_merge, nogenerate update
merge 1:1 hhidpn wa using H00R_R_merge, nogenerate update

label define occupation 1 "Manag." 2 "Prof. Specialty" 3 "Sales" 4 "Clerical" 5 "Cleaning Svcs" 6 "Protection Svcs" 7 "Food Svcs" 8 "Health Svcs" 9 "Personal Svcs" 10 "Farming" 11 "Mechanics" 12 "Constr." 13 "Precision Prod." 14 "Machine Op." 15 "Transport Op." 16 "Handler Op." 17 "Armed Forces", replace
label values rjcocc occupation

label define industry 1 "Agriculture" 2 "Mining/Constr." 3 "Mnfg. Non-Dur." 4 "Mnfg. Dur." 5 "Trans." 6 "Wholesale" 7 "Retail" 8 "Financial" 9 "Bsns Repair" 10 "Personal Srvcs" 11 "Entertainment" 12 "Prof. Srvcs" 13 "Pub. Admin.", replace
label values rjcind industry

save hrs_data_final, replace
